@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap');

:root{
    --login-bg: #f8f3ff;
    --title-bg: #02376F;
    --button-log-bg: #f9cc17;
    --img-bg: #eadbff;
}

body {
    font-family: 'Poppins', sans-serif;
    height: 100%;
}

.superior{
    height: 4.5em;
    width: 100%;
    display: flex;  /*pone los elementos uno al lado del otro*/
    justify-content: space-between;
    overflow: hidden;   /* se oculta todo lo que sobre sale del contenedor */
    flex-direction: row; /* lo que esta dentro del contenedor se pone uno al lado del otro */
    align-items: left;
    /*text-align: center;*/
    border: 1px solid #555;
    padding-top: 0.5rem;
    background-color: var(--title-bg);
    border-radius: 0px;
    /*flex-wrap: wrap-reverse;*/
}

.img-superior{
    width: 100px;
    display: flex;
    justify-content: space-evenly;  /* para que se reparta el espacio */
    height: 4em;
    justify-content: center;
    align-items: left;
}

.texto-img{
    margin: 5px;
    font-size: 1.5rem;
}

.superior_der{
    width: 30em;
    display: flex;
    flex-wrap: wrap-reverse;
    overflow: auto;
    justify-content: space-around;  /* para que se reparta el espacio */
    height: 4em;
    justify-content: center;
    align-items: center;
    padding: 2px;
    color: #CCCCCC;
}

.cuerpo{
    display: inline;  /*pone los elementos uno al lado del otro*/
    height: 100%;
    width: 100%;
    justify-content: space-between;
    overflow: hidden;   /* se oculta todo lo que sobre sale del contenedor */
    /*flex-direction: row;*/ /* lo que esta dentro del contenedor se pone uno debajo del otro */
    align-items: stretch;
    /*padding-top: 0.5rem;*/
}
.cuerpo_main{
    height: 100%;
    /*width: 88%;*/
    display: block;  /*pone los elementos uno debajo del otro*/
    justify-content: flex-start;
    overflow: auto;   /* se oculta todo lo que sobre sale del contenedor */
    flex-direction: row; /* lo que esta dentro del contenedor se pone uno al lado del otro */
    align-items: left;
    /*text-align: center;*/
    /*border: 1px solid #555;*/
    padding: 0.5rem;
    /*margin: 5px;*/
}

.cuerpo_main_cliente{
    height: 100%;
    width: 100%;
    display: block;  /*pone los elementos uno debajo del otro*/
    justify-content: space-between;
    overflow: scroll;   /* se oculta todo lo que sobre sale del contenedor */
    flex-direction: row; /* lo que esta dentro del contenedor se pone uno al lado del otro */
    align-items: left;
    /*text-align: center;*/
    /*border: 1px solid #555;*/
    padding: 0.5rem;
    /*margin: 5px;*/
}

.cuerpo_main_panel{
    height: 100%;
    width: 80%;
    display:inline-flex;  /*pone los elementos uno debajo del otro*/
    justify-content: flex-start;
    overflow: hidden;   /* se oculta todo lo que sobre sale del contenedor */
    flex-direction: row; /* lo que esta dentro del contenedor se pone uno al lado del otro */
    align-items: left;
    /*text-align: center;*/
    /*border: 1px solid #555;*/
    padding: 0.5rem;
    /*margin: 5px;*/
    flex-wrap:wrap;
}

.cuerpo_header{
    /*display: flex;*/  /*pone los elementos uno al lado del otro*/
    justify-content: flex-start;
    overflow: auto;   /* se oculta todo lo que sobre sale del contenedor */
    flex-direction: row; /* lo que esta dentro del contenedor se pone uno debajo del otro */
    align-items: left;
    padding: 0.5rem;
    /*background-color: var(--title-bg);*/
    /*margin: 5px;*/
    font-size: 12px;
    text-transform: uppercase;
}

.cuerpo_listado{
    /*height: 100%;*/
}

.menu_izq{
    height: 100%;
    width: 150px;
    display: block;  /*pone los elementos uno debajo del otro*/
    justify-content: space-between;
    overflow: hidden;   /* se oculta todo lo que sobre sale del contenedor */
    flex-direction: column; /* lo que esta dentro del contenedor se pone uno al lado del otro */
    text-align: left;
    padding: 1px;
    background-color: var(--title-bg);
    font-size: 10px;
    float: left;
}

.ul_vertical{
    list-style: none;
    margin: 0;
    padding: 0;
}

.li_menu{
    height:30px;
    width: 100%;
    border-top: 1px solid #CCCCCC;
    border-bottom: 1px solid #CCCCCC;
    text-align: left;
    margin: 0px;
    display: block;
    align-items: center;
    padding-top: 6px;
    padding-left: 3px;
    color: #CCCCCC;
}

.li_menu_select{
    height:30px;
    width: 100%;
    border-top: 1px solid #CCCCCC;
    border-bottom: 1px solid #CCCCCC;
    text-align: left;
    align-items: center;
    margin: 0px;
    display: block;
    background-color: #CCCCCC;
    padding-top: 6px;
    padding-left: 3px;
}

.li_menu a{
    text-decoration: none;
    color: #CCCCCC;
}

.li_menu_select a{
    text-decoration: none;
    color: black;
}

.li_menu_select a:hover{
    color:#000;
}

.li_menu_select span{
    padding-right: 3px;
}

.li_menu span{
    padding-right: 3px;
}

.li_menu:hover{
    background-color: #075C9B;
    color: black;
}

.li_menu a:hover{
    color: black;
}

.ul-horizontal{
    list-style: none;
}

.ul-horizontal li{
    display: inline;
    padding: 3px;
}

.ul-title{
    list-style: none;
    font-weight: bold;
    font-size: 20px;
}

.ul-title li{
    display: inline;
    padding: 5px;
}

.login-container{
    height: 30em;
    width: 60em;
    margin: 4em auto;
    display: flex;  /*pone los elementos uno al lado del otro*/
    justify-content: space-between;
    overflow: hidden;   /* se oculta todo lo que sobre sale del contenedor */
    flex-direction: column; /* lo que esta dentro del contenedor se pone uno debajo del otro */
    align-items: center;
    text-align: center;
    border: 2px solid #555;
    padding-top: 0.5rem;
    background-color: var(--login-bg);
    border-radius: 10px;
}

.title{
    text-transform: capitalize; /* coloca las primeras letras en mayuscula */
    font-size: 2.25rem;
    font-weight: 600;
    letter-spacing: 1px;    /* espacio entre letras */
    color: var(--title-bg);
}

.img-login{
    width: 100%;
    display: flex;
    justify-content: space-evenly;  /* para que se reparta el espacio */
    width: 200px;
    height: 160px;
    justify-content: center;
    align-items: center;
    margin-bottom: 5px;
}

.img-login img{
    width: 100%;
    height: 100%;
    position: relative;
    top: 0;
}

.form-login{
    height: 55%;
    width: 85%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

.input-on, .btn-login{
    width: 50%;
    height: 2.125rem;
    font-size: 1em;
}

.input-on{
    padding-left: 20px;
    border: none;
    border-radius: 5px;
    font-weight: 600;
    letter-spacing: 1px;
    box-sizing: border-box;
}

.input-on:hover{
    border: 2px solid var(--button-log-bg);
}

.btn-login{
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #ffffff;
    border-radius: 5px;
    background-color: var(--button-log-bg);
    cursor: pointer;
    border: none;
}

.btn_salir{
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #ffffff;
    border-radius: 5px;
    background-color: #A93032;
    cursor: pointer;
    border: none;
    width: 120px;
    height: 30px;
    margin-left: 5px;
    padding: 4px 2px;
    font-size: 12px;
    text-align: center;
    border-radius: 3px;
    align-items: center;
}

.btn_salir_m{
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #ffffff;
    border-radius: 5px;
    background-color: #ff1b00;
    cursor: pointer;
    border: none;
    width: 120px;
    height: 30px;
    margin-left: 5px;
    padding: 4px 2px;
    font-size: 12px;
    text-align: center;
    border-radius: 3px;
    align-items: center;
}

.btn_salir a{
    color: #ffffff;
    text-decoration: none;
}

.btn_salir_m a{
    color: #ffffff;
    text-decoration: none;
}

.btn_salir span{
    padding-right: 3px;
}

.btn_transaccion{
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #ffffff;
    border-radius: 5px;
    background-color: #075C9B;
    cursor: pointer;
    border: none;
    width: 120px;
    height: 30px;
    margin-left: 5px;
    padding: 4px 2px;
    font-size: 12px;
    text-align: center;
    border-radius: 3px;
    align-items: center;
}

.btn_transaccion a{
    color: #ffffff;
    text-decoration: none;
}

.btn_transaccion span{
    padding-right: 3px;
}

.filtros{
    font-size: 12px;
}

.filtros span{
    padding-right: 5px;
}

.btn_filtros_sub{
    border: none;
    font-size: 12px;
    letter-spacing: 1px;
    text-transform: uppercase;
}

.btn_filtros{
    background-color: #F0F0F0;
    cursor: pointer;
    width: 120px;
    height: 30px;
    margin-left: 5px;
    padding: 4px 2px;
    font-size: 12px;
    /*text-align: center;*/
    border-radius: 3px;
    align-items: center;
    border: 1px solid #000;
}

.span{
    color: var(--title-bg);
    font-weight: 600;
    cursor: pointer;
}

.title-list {
    font-size: 14px;
    margin: .5em 0 .75em;
    text-transform: uppercase;
    font-weight: bold;
}

.title-main{
    font-size: 18px;
    font-weight: bold;
    color: #000;
    text-transform: uppercase;
}

.header_main{
    /*height: 100%;*/
    width: 100%;
    display:flex;  /*pone los elementos uno debajo del otro*/
    /*justify-content: space-between;*/
    overflow: hidden;   /* se oculta todo lo que sobre sale del contenedor */
    flex-direction: row; /* lo que esta dentro del contenedor se pone uno al lado del otro */
    align-items: left;
    /*text-align: center;*/
    /*border: 1px solid #555;*/
    padding: 0.5rem;
    /*margin: 5px;*/
    flex-wrap:wrap;
    font-size: 12px;
    text-transform: uppercase;
}

.header_main span{
    border-bottom: 1px solid #000;
    width: 150px;
    height: 30px;
    padding-top: 5px;
}

.frm_input{
    border: 1px solid #555;
    line-height: 15px;
    padding: 3px;
    text-decoration: none;
    background-color: #ffffff;
    border-radius: 6px;
    text-align: left;
}

.frm_input_off{
    border: 1px solid #555;
    line-height: 15px;
    padding: 3px;
    text-decoration: none;
    background-color: #CCCCCC;
    border-radius: 6px;
    text-align: left;
}

.class_form{
    text-transform: uppercase;
}

.class_form ul{
    list-style: none;
}

.class_form ul li{
    display: inline;
    padding-left: 5px;
    padding-right: 5px;
    height: 20px;
}

.formulario_doble{
    /*height: 100%;
    width: 100%;*/
    /*display:flex;*/  /*pone los elementos uno debajo del otro*/
    /*justify-content: space-between;*/
    /*overflow: hidden;*/   /* se oculta todo lo que sobre sale del contenedor */
    /*flex-direction: row;*/ /* lo que esta dentro del contenedor se pone uno al lado del otro */
    align-items: left;
    /*text-align: center;*/
    /*border: 1px solid #555;*/
    /*margin: 5px;*/
    /*flex-wrap:wrap;*/
    font-size: 12px;
    text-transform: uppercase;
}

.formulario_doble ul{
    list-style: none;
}

.formulario_doble li{
    display: inline;
    width: 200px;
    padding-left: 10px;
    padding-right: 2px;
    height: 20px;
}

table{
    border: 1px solid #ccc;
    border-collapse: collapse;
    margin: 0;
    padding: 0;
    width: 100%;
    table-layout: fixed;
}

table tr {
    background-color: #f8f8f8;
    border: 1px solid #ddd;
    padding: 1px;
}

table th,
table td {
    padding: 4px;
    text-align: center;
    font-size: 11px;
}

table th {
    font-size: 12px;
    letter-spacing: .1em;
    text-transform: uppercase;
}

.grafico{
    width: 500px;
}

nav{
    height: 4.5em;
    width: 100%;
    /*display: flex;*/  /*pone los elementos uno al lado del otro*/
    /*justify-content: space-between;*/
    /*overflow: hidden;*/   /* se oculta todo lo que sobre sale del contenedor */
    /*flex-direction: row;*/ /* lo que esta dentro del contenedor se pone uno al lado del otro */
    /*align-items: left;*/
    /**text-align: center;*/
    /*border: 1px solid #555;
    padding-top: 0.5rem;*/
    background-color: var(--title-bg);
    /*border-radius: 0px;*/
}

.img-superior_m{
    width: 15em;
    display: flex;
    justify-content: space-evenly;  /* para que se reparta el espacio */
    height: 4em;
    justify-content: center;
    align-items: left;
    position: absolute;
}

nav ul{
    text-decoration: none;
    float: right;
    margin-right: 20px;
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #000;
    top: 80px;
    left: -100%;
    text-align: center;
    transition: all .5s;
}

nav ul li{
    display: block;
    line-height: 80px;
    margin: 50px 0px;
    line-height: 30px;
    color: #ffffff;
}

nav ul li a{
    color: #ffffff;
    font-size: 20px;
    padding: 7px 13px;
    border-radius: 3px;
    text-transform: uppercase;
    text-decoration: none;
}

nav ul li a:hover{
    background: #ccc;
    transition: .5s;
}

.checkmenu{
    font-size: 30px;
    float: right;
    line-height: 80px;
    margin-right: 40px;
    padding-top: 10px;
    cursor: pointer;
    display: block;
}

#check{
    display: none;
}

#check:checked ~ ul{
    left: 0;
}

.superior_der_m{
    /*width: 30em;
    display: flex;
    flex-wrap: wrap-reverse;
    overflow: auto;
    justify-content: space-around;*/  /* para que se reparta el espacio */
    height: 4em;
    /*justify-content: center;
    align-items: center;
    padding: 2px;*/
    float: right;
    font-size: 12px;
}

.superior_der_m p{
    margin-right: 10px;
}

.menu_active{
    /*height:30px;*/
    width: 100%;
    /*border-top: 1px solid #e89b24;
    border-bottom: 1px solid #e89b24;*/
    text-align: center;
    /*align-items: center;*/
    /*margin: 0px;*/
    /*display: block;*/
    background-color: #e89b24;
    /*padding-top: 6px;
    padding-left: 3px;*/
}

/**** paginacion ****/
.loading {
    width:100%;
    text-align:center;
    margin-top:40px;
    height:100px;
}
.paginate{
    FONT-SIZE: 12px;
    color: #02376F;
    font-weight: bold;
}
.pagination {
    height: 20px;
    margin: 5px;
}
.pagination ul {
    /*border-radius: 1px 1px 1px 1px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);*/
    display: inline-block;
    margin-bottom: 5px;
	margin-left:10px;
	/*box-shadow: 0 2px 5px #666666;*/
}
.pagination li {
    display: inline;
}
.pagination a {
    -moz-border-bottom-colors: none;
    /*-moz-border-image: none;*/
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-color: #DDDDDD;
    border-style: solid;
    border-width: 1px 1px 1px 0;
    float: left;
    line-height: 15px;
    padding: 0 10px;
    text-decoration: none;
	cursor:pointer;
}
.pagination a:hover, .pagination .active a {
    color:#2d2d28;
	outline:0;
	text-decoration:none;
	font-weight: bold;
}
.pagination .active a {
    color: #999999;
    cursor: default;
}
.pagination .disabled a, .pagination .disabled a:hover {
    background-color: transparent;
    color: #999999;
    cursor: default;
}
.pagination li:first-child a {
    border-left-width: 1px;
    border-radius: 3px 0 0 3px;
}
.pagination li:last-child a {
    border-radius: 0 3px 3px 0;
}
.pagination-centered {
    text-align: center;
}
.pagination-right {
    text-align: right;
}
.boxview{
    border-color: #1e1e1e;
    border-style: solid;
    border-width: 1px 1px 1px 1px;
    /*line-height: 15px;*/
    text-decoration: none;
	cursor:pointer;
	color: #1e1e1e;
	/*background-color: #e89b24;*/
	/*border-radius: 6px;*/
	/*padding: 5px;*/
	/*text-align:center;*/
}
/***************************/

@media screen and (max-width: 900px) {
    .login-container{
        margin-top: 3rem;
        width: 70%;
    }
}

@media screen and (max-width: 600px) {
    .login-container{
        width: 90%;
    }
    .grafico{
        width: 300px;
    }
    .btn_salir_m{
        width: 30px;
        height: 20px;
    }
    .texto-img{
        display: none;
    }
    .ul-title li{
        font-size: 14px;
    }
    table {
        border: 0;
    }
    table caption {
        font-size: 1.3em;
    }
    table thead {
        border: none;
        clip: rect(0 0 0 0);
        height: 1px;
        margin: -1px;
        overflow: hidden;
        padding: 0;
        position: absolute;
        width: 1px;
    }
    table tr {
        border-bottom: 3px solid #ddd;
        display: block;
        margin-bottom: .625em;
    }
    table td {
        border-bottom: 1px solid #ddd;
        display: block;
        font-size: .8em;
        text-align: right;
    }
    table td::before {
        content: attr(data-label);
        float: left;
        font-weight: bold;
        text-transform: uppercase;
    }
    table td:last-child {
        border-bottom: 0;
    }
}